# ReactiveNamespace

    @dynamicMemberLookup
    public struct ReactiveNamespace

Combine utilities for the `ObjectPublisher` are exposed through this namespace. Extend this type if you need to add other Combine Publisher utilities for `ObjectPublisher`.

### Public

- `base`

  The `ObjectPublisher` instance

  #### Declaration

  Swift

      public let base: ObjectPublisher

- `snapshot(emitInitialValue:)`

  Returns a `Publisher` that emits an `ObjectSnapshot?` whenever changes occur in the `ObjectPublisher`. The event emits `nil` if the object has been deletd.

      objectPublisher.reactive
          .snapshot(emitInitialValue: true)
          .sink(
              receiveCompletion: { result in
                  // ...
              },
              receiveValue: { (objectSnapshot) in
                  tableViewCell.setObject(objectSnapshot)
              }
          )
          .store(in: &tableViewCell.cancellables)

  #### Declaration

  Swift

      public func snapshot(emitInitialValue: Bool = true) -> ObjectPublisher.SnapshotPublisher

  #### Parameters

  `emitInitialValue` | If `true`, the current value is immediately emitted to the first subscriber. If `false`, the event fires only starting the next `ObjectSnapshot` update.

  #### Return Value

  A `Publisher` that emits an `ObjectSnapshot?` whenever changes occur in the `ObjectPublisher`. The event emits `nil` if the object has been deletd.

### Available where `O`: `NSManagedObject`

- `subscript(dynamicMember:)`

  Returns the value for the property identified by a given key.

  #### Declaration

  Swift

      public subscript<V>(dynamicMember member: KeyPath<O, V>) -> some Publisher where V : AllowedObjectiveCKeyPathValue { get }

### Available where `O`: `CoreStoreObject`

- `subscript(dynamicMember:)`

  Returns the value for the property identified by a given key.

  #### Declaration

  Swift

      public subscript<OBase, V>(dynamicMember member: KeyPath<O, FieldContainer<OBase>.Stored<V>>) -> some Publisher where OBase : CoreStoreObject, V : FieldStorableType { get }

- `subscript(dynamicMember:)`

  Returns the value for the property identified by a given key.

  #### Declaration

  Swift

      public subscript<OBase, V>(dynamicMember member: KeyPath<O, FieldContainer<OBase>.Virtual<V>>) -> some Publisher where OBase : CoreStoreObject { get }

- `subscript(dynamicMember:)`

  Returns the value for the property identified by a given key.

  #### Declaration

  Swift

      public subscript<OBase, V>(dynamicMember member: KeyPath<O, FieldContainer<OBase>.Coded<V>>) -> some Publisher where OBase : CoreStoreObject { get }